Bug 35888

Summary: [EFL] Add SoundEfl.cpp to WC/platform/efl.
Product: WebKit Reporter: Leandro Pereira <leandro>
Component: PlatformAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Enhancement CC: barbieri, bunhere, commit-queue, eric, gns, gyuyoung.kim, kenneth, oliver, rakuco, tonikitoo, webkit.review.bot, zimmermann
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: Linux   
Attachments:
Description Flags
Add SoundEfl.cpp to WC/platform/efl.
zecke: review+
Add SoundEfl.cpp to WC/platform/efl. none

Description Leandro Pereira 2010-03-08 15:27:48 PST
+++ This bug was initially created as a clone of Bug #35749 +++

+++ This bug was initially created as a clone of Bug #35087 +++

Forthcoming patch adds SoundEfl.cpp to WC/platform/efl.
Comment 1 Leandro Pereira 2010-03-08 15:28:26 PST
Created attachment 50256 [details]
Add SoundEfl.cpp to WC/platform/efl.
Comment 2 Holger Freyther 2010-03-09 20:41:50 PST
Comment on attachment 50256 [details]
Add SoundEfl.cpp to WC/platform/efl.

The list of copyright holders seems to be excessive for these two lines of code.
Comment 3 Leandro Pereira 2010-03-10 09:44:31 PST
Created attachment 50410 [details]
Add SoundEfl.cpp to WC/platform/efl.

zecke already r+'d this patch -- this updated version only removes Apple copyright since there is no Apple code in it.
Comment 4 WebKit Commit Bot 2010-03-15 14:33:54 PDT
Comment on attachment 50410 [details]
Add SoundEfl.cpp to WC/platform/efl.

Clearing flags on attachment: 50410

Committed r56016: <http://trac.webkit.org/changeset/56016>
Comment 5 WebKit Commit Bot 2010-03-15 14:33:59 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Eric Seidel (no email) 2010-03-15 15:35:38 PDT
Comment on attachment 50410 [details]
Add SoundEfl.cpp to WC/platform/efl.

Please use c++ style casts:
 43     Display* display = (Display*) ecore_x_display_get();

Not needed:
+#include "NotImplemented.h"
Comment 7 Eric Seidel (no email) 2010-03-15 15:36:13 PDT
I'm sad that my review is too late and that Holger didn't see all the nits I saw. :(
Comment 8 Leandro Pereira 2010-03-16 06:10:15 PDT
(In reply to comment #7)
> I'm sad that my review is too late and that Holger didn't see all the nits I
> saw. :(

I'll create follow-up patches.